package cz.cvut.fel.pr2;

import java.util.ArrayList;

public class Simulator {

    World world;
    ArrayList participants;
    final int MAX_PLAYERS = 5;
    int round;

    Simulator(World world) {
        this.world = world;
        participants = new ArrayList();
        round = 0;
    }

    public void join(Participant player) {
        if (participants.size() >= MAX_PLAYERS) {
            throw new RuntimeException("Too many players in the game");
        }
        if (player != null && participants.indexOf(player) == -1) {
            participants.add(player);
        }
    }

    public void nextRound() {
        for (int i = 0; i < participants.size(); ++i) {
            Participant player = (Participant) participants.get(i);
            Bet bet = world.doStep(player);
            System.out.println("Round " + round + " player #" + i + "(" + player + ") bet: " + bet);
        }
        round++;
    }
}
